Subject: Re: 23.1; compilation error regexp "watcom" slow on long lines

From: Chong Yidong <[email-masked]>
Date: Sat, 20 Feb 2010 08:54:39 -0500

> If a compilation-mode buffer has a very long line, the `watcom' error
> regexp pattern is very slow at not matching.  For example the foo.el
> below takes my old pc about 20 seconds to match nothing.
>
> I suppose the optional drive letter part of the pattern makes it
> backtrack to every character.  I wonder if it could anchor to the start
> of the line to restrict that.

Yes, I think that's fine.  I've checked in your patch, with a small
modification to allow whitespace in front of the drive letter part.